
.setup-wizard-grid {
    container-name: wizard-container;
    container-type: inline-size;
}

.wizard-main-container {
    max-width: 1200px;
    margin: 30px auto 0;
}

@container wizard-container (max-width: 1200px) {
    .wizard-main-container {
        padding: 0 var(--spacing-lg);
    }
}

.progress-bar {
    --grid-cols: repeat(4, 1fr);
    --grid-column-gutter: 10px;
}
.progress-bar > * {
    --grid-cols: initial;
    --grid-column-gutter: initial;
}

.slot a {
    color: var(--wizard-text-color);
    text-decoration: none;
    font-size: 12px;
    font-family: var(--body-font);
    font-weight: var(--body-font-weight);
    line-height: 26px;
    display: block;
    margin-bottom: var(--spacing-2xs);
}
.slot a > svg {
    position: relative;
    top: 4px;
    margin-right: 8px;
}

.slot.current a, .slot.passed a {
    color: var(--interaction-color);
    font-weight: 700;
}
.slot:hover a {
    color: var(--interaction-color);
}

.slot::after {
    width: 100%;
    height: 4px;
    background-color: var(--wizard-text-color);
    content: "";
    display: block;
    opacity: 0.4;
    border-radius: 4px;
}

.slot.current::after, .slot:hover::after {
    background-color: var(--interaction-color);
}
.slot.passed::after {
    background-color: var(--interaction-color);
    opacity: 1;
}
.slot.passed {
    position: relative;
}
.slot.passed::before {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    background-image: url('../Assets/CheckmarkCircleFilled.svg');
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 8px;
    vertical-align: middle;
    position: absolute;
    top: 4px;
}
.slot.passed a {
    padding-left: 24px;
    position: relative;
}
.slot.passed a > svg {
    display: none;
}

.wizard-content {
    display: none;
    grid-template-rows: 1fr auto;
    height: 100vh;
}
input[type="radio"].wizard-step {
    display: none;
}

#step-1:checked ~ .wizard-content:nth-of-type(1),
#step-2:checked ~ .wizard-content:nth-of-type(2),
#step-3:checked ~ .wizard-content:nth-of-type(3),
#step-3-1:checked ~ .wizard-content:nth-of-type(4),
#step-3-2:checked ~ .wizard-content:nth-of-type(5),
#step-4:checked ~ .wizard-content:nth-of-type(6) {
    display: grid;
}

.wizard-step-label {
    margin-bottom: 16px;
    font-size: 14px;
    font-weight: 700;
    font-family: var(--heading-font);
    line-height: 20px;
}

.wizard-content-wrapper {
    min-height: 350px;
    padding-block: var(--spacing-4xl);
    overflow: auto;
    padding-bottom: 244px; /** top header + margin-bottom + nav + footer = 56px + 30px + 33px + 114px */
}

.three-column-asymmetric-grid {
    display: grid;
    grid-template-columns: 135px 2fr 1fr;
    gap: 32px;
    margin: 0 auto;
}

.three-column-asymmetric-grid .left-column {
    grid-column: 1 / 2;
}

.three-column-asymmetric-grid .middle-column {
    grid-column: 2 / 3;
}

.three-column-asymmetric-grid .right-column {
    grid-column: 3 / 4;
}

@media (max-width: 768px) {
    .three-column-asymmetric-grid {
        grid-template-columns: 1fr;
    }

    .three-column-asymmetric-grid .left-column,
    .three-column-asymmetric-grid .middle-column,
    .three-column-asymmetric-grid .right-column {
        grid-column: 1;
    }
}

.information-banner {
    --grid-cols: repeat(3, 1fr);
    --grid-column-gutter: 40px;
    color: var(--granite-grey);
    padding-bottom: 8px;
    position: sticky;
    bottom: 0;
    background: #fff;
}
.information-banner .content-grid {
    grid-template-columns: 24px auto;
    grid-column-gap: 12px;
}
.information-heading {
    margin: 0 0 12px;
    font-size: 16px;
    font-weight: 700;
    font-family: var(--heading-font);
    line-height: 20px;
    position: relative;
    top: -21px;
}
.information-heading span {
    background-color: #fff;
    padding: 12px 12px 12px 0;
}
.information-heading:after {
    width: 100%;
    border-bottom: var(--border-line);
    content: "";
    display: block;
}
.info-list-heading {
    font-size: 12px;
    line-height: 16px;
    font-weight: 700;
    font-family: var(--body-font);
    color: var(--jet-black);
    margin: 0 0 12px;
}

/* Style for the pop-up overlay */
.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}

/* Style for the pop-up box */
.popup-box {
    --default-button-width: auto;
    background-color: #fff;
    padding: 16px 24px;
    border-radius: 9px;
    width: 478px;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.06), 0px 2px 8px 0px rgba(96, 96, 96, 0.20);
}

.popup-box h2 {
    margin: 0 0 var(--spacing-sm);
    font-size: 16px;
    position: relative;
    display: block;
    padding-right: 20px;
}
.popup-box p {
    margin: 0 0 var(--spacing-md);
}
